
Calculate Linux - Feature # 720: Ð¿Ð¾Ð´Ð´ÐµÑ€Ð¶ÐºÐ° IPMI Ð´Ð»Ñ• CLD/CDS

Status: Feedback Priority: Normal

Author: Ð’Ð¸ÐºÑ‚Ð¾Ñ€ ÐšÑƒÑ•Ñ‚Ð¾Ð² Category: Server

Created: 02/19/2015 Assignee:

Updated: 11/21/2016 Due date:

Subject: Ð¿Ð¾Ð´Ð´ÐµÑ€Ð¶ÐºÐ° IPMI Ð´Ð»Ñ• CLD/CDS

Description: Ð”Ð»Ñ• Ñ•ÐµÑ€Ð²ÐµÑ€Ð¾Ð² Ñ•Ñ‡Ð¸Ñ‚Ð°ÑŽ Ð½ÐµÐ¾Ð±Ñ…Ð¾Ð´Ð¸Ð¼Ð¾Ð¹ Ð¿Ð¾Ð´Ð´ÐµÑ€Ð¶ÐºÑƒ 

IPMI - Ñ•Ð´ÐµÑ€Ð½Ñ‹Ðµ Ð¼Ð¾Ð´ÑƒÐ»Ð¸ Ð¸ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²Ð»ÐµÐ½Ð½Ñ‹Ð¹ ipmitool

History

03/30/2015 12:56 pm - Ð’Ð¸ÐºÑ‚Ð¾Ñ€ ÐšÑƒÑ•Ñ‚Ð¾Ð²

Ð’ Ñ„Ð°Ð¹Ð» /var/lib/layman/calculate/profiles/templates/3.3/6_ac_install_patch/sys-kernel/calculate-sources/3.19/20-server





Ð•ÐµÐ¾Ð±Ñ…Ð¾Ð´Ð¸Ð¼Ð¾ Ð´Ð¾Ð±Ð°Ð²Ð¸Ñ‚ÑŒ Ñ•Ñ‚Ñ€Ð¾ÐºÐ¸:





CONFIG_IPMI_HANDLER=m


CONFIG_IPMI_DEVICE_INTERFACE=m


CONFIG_IPMI_SI=m





P.S. Ñ•Ð¾Ð±Ñ€Ð°Ð», Ð¼Ð¾Ð´ÑƒÐ»Ð¸ Ð³Ñ€ÑƒÐ·Ñ•Ñ‚Ñ•Ñ• (Ð¿Ð¾ÐºÐ° Ñ€ÑƒÐºÐ°Ð¼Ð¸) ipmitool lan print Ð¾Ñ‚Ñ€Ð°Ð±Ð°Ñ‚Ñ‹Ð²Ð°ÐµÑ‚.

04/07/2015 06:40 pm - Alexander Tratsevskiy

Ð’Ð¸ÐºÑ‚Ð¾Ñ€ ÐšÑƒÑ•Ñ‚Ð¾Ð² wrote:


> Ð’ Ñ„Ð°Ð¹Ð» /var/lib/layman/calculate/profiles/templates/3.3/6_ac_install_patch/sys-kernel/calculate-sources/3.19/20-server


> 


> Ð•ÐµÐ¾Ð±Ñ…Ð¾Ð´Ð¸Ð¼Ð¾ Ð´Ð¾Ð±Ð°Ð²Ð¸Ñ‚ÑŒ Ñ•Ñ‚Ñ€Ð¾ÐºÐ¸:


> 


> CONFIG_IPMI_HANDLER=m


> CONFIG_IPMI_DEVICE_INTERFACE=m


> CONFIG_IPMI_SI=m


> 


> P.S. Ñ•Ð¾Ð±Ñ€Ð°Ð», Ð¼Ð¾Ð´ÑƒÐ»Ð¸ Ð³Ñ€ÑƒÐ·Ñ•Ñ‚Ñ•Ñ• (Ð¿Ð¾ÐºÐ° Ñ€ÑƒÐºÐ°Ð¼Ð¸) ipmitool lan print Ð¾Ñ‚Ñ€Ð°Ð±Ð°Ñ‚Ñ‹Ð²Ð°ÐµÑ‚.





Ð’ 3.18.11 Ð¿Ð¾Ñ•Ð²Ð¸Ñ‚Ñ•Ñ• Ð¿Ð¾Ð´Ð´ÐµÑ€Ð¶ÐºÐ°.

11/18/2016 06:10 pm - Ð’Ð¸ÐºÑ‚Ð¾Ñ€ ÐšÑƒÑ•Ñ‚Ð¾Ð²

Alexander Tratsevskiy wrote:


> Ð’ 3.18.11 Ð¿Ð¾Ñ•Ð²Ð¸Ñ‚Ñ•Ñ• Ð¿Ð¾Ð´Ð´ÐµÑ€Ð¶ÐºÐ°.





<pre>


# eselect profile list | grep \*


  [30]  distros:CDS/amd64 *





grep -r IPMI /var/lib/layman/calculate/profiles/templates/ | grep -v #


/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.8/10-calculate-x86-4.8:CONFIG_IPMI_DEVICE_INTE

RFACE=m


/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.8/10-calculate-x86-4.8:CONFIG_IPMI_HANDLER=m


/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.8/10-calculate-x86-4.8:CONFIG_IPMI_SI=m


/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.1/10-calculate-x86-4.1:CONFIG_IPMI_DEVICE_INTE

RFACE=m


/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.1/10-calculate-x86-4.1:CONFIG_IPMI_HANDLER=m
/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.1/10-calculate-x86-4.1:CONFIG_IPMI_SI=m


/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.4/10-calculate-x86-4.4:CONFIG_IPMI_DEVICE_INTE

RFACE=m


/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.4/10-calculate-x86-4.4:CONFIG_IPMI_HANDLER=m


/var/lib/layman/calculate/profiles/templates/3.5/6_ac_install_patch/sys-kernel/calculate-sources/4.4/10-calculate-x86-4.4:CONFIG_IPMI_SI=m


/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.8/10-calculate-x86-4.8:CONFIG_IPMI_DEVICE_INTE

RFACE=m


/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.8/10-calculate-x86-4.8:CONFIG_IPMI_HANDLER=m


/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.8/10-calculate-x86-4.8:CONFIG_IPMI_SI=m


/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.1/10-calculate-x86-4.1:CONFIG_IPMI_DEVICE_INTE

RFACE=m


/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.1/10-calculate-x86-4.1:CONFIG_IPMI_HANDLER=m


/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.1/10-calculate-x86-4.1:CONFIG_IPMI_SI=m


/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.4/10-calculate-x86-4.4:CONFIG_IPMI_DEVICE_INTE

RFACE=m


/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.4/10-calculate-x86-4.4:CONFIG_IPMI_HANDLER=m


/var/lib/layman/calculate/profiles/templates/3.4/6_ac_install_patch/sys-kernel/calculate-sources/4.4/10-calculate-x86-4.4:CONFIG_IPMI_SI=m


</pre>


Ð¸ Ð¿Ñ€Ð¸ Ñ•Ñ‚Ð¾Ð¼:


<pre>


# modprobe ipmi_si


modprobe: FATAL: Module ipmi_si not found in directory /lib/modules/4.4.26-calculate





# find /lib64/modules -name "*ipmi*"


# 





</pre>





Ñ‡Ñ‚Ð¾ Ð½Ðµ Ñ‚Ð°Ðº?

11/21/2016 10:40 am - Alexander Tratsevskiy

Ð’ 64 Ð±Ð¸Ñ‚. Ñ•Ð´Ñ€Ðµ Ð¿Ð¾Ð´Ð´ÐµÑ€Ð¶ÐºÐ¸ Ð½ÐµÑ‚, Ñ•Ñ‚Ñ€Ð°Ð½Ð½Ð¾. ÐŸÐ¾Ñ•Ð²Ð¸Ñ‚Ñ•Ñ• Ð±Ð»Ð¸Ð¶Ð°Ð¹ÑˆÐ¸Ð¼ 

Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸ÐµÐ¼ Ñ• Ð±Ð¸Ð½Ð°Ñ€Ð½Ñ‹Ð¼ Ñ•Ð´Ñ€Ð¾Ð¼ 4.4.33.

11/21/2016 11:16 am - Ð’Ð¸ÐºÑ‚Ð¾Ñ€ ÐšÑƒÑ•Ñ‚Ð¾Ð²

Alexander Tratsevskiy wrote:


> Ð’ 64 Ð±Ð¸Ñ‚. Ñ•Ð´Ñ€Ðµ Ð¿Ð¾Ð´Ð´ÐµÑ€Ð¶ÐºÐ¸ Ð½ÐµÑ‚, Ñ•Ñ‚Ñ€Ð°Ð½Ð½Ð¾. ÐŸÐ¾Ñ•Ð²Ð¸Ñ‚Ñ•Ñ• Ð±Ð»Ð¸Ð¶Ð°Ð¹ÑˆÐ¸Ð¼ 

Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸ÐµÐ¼ Ñ• Ð±Ð¸Ð½Ð°Ñ€Ð½Ñ‹Ð¼ Ñ•Ð´Ñ€Ð¾Ð¼ 4.4.33.





Ð° ÐºÐ°Ðº Ñ‚Ð°Ðº Ð¿Ð¾Ð»ÑƒÑ‡Ð¸Ð»Ð¾Ñ•ÑŒ? Ð² ÑˆÐ°Ð±Ð»Ð¾Ð½Ð°Ñ… Ð²ÐµÐ´ÑŒ Ð²Ñ•Ñ‘ ÐµÑ•Ñ‚ÑŒ. Ð½Ðµ Ñ• Ð±Ð¸Ð»Ð´Ñ„ÐµÑ€Ð¼Ð¾Ð¹ 

Ñ‡Ð°Ñ•Ð¾Ð¼ Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ð°?

11/21/2016 11:31 am - Alexander Tratsevskiy

Ð’Ð¸ÐºÑ‚Ð¾Ñ€ ÐšÑƒÑ•Ñ‚Ð¾Ð² wrote:


> Alexander Tratsevskiy wrote:


> > Ð’ 64 Ð±Ð¸Ñ‚. Ñ•Ð´Ñ€Ðµ Ð¿Ð¾Ð´Ð´ÐµÑ€Ð¶ÐºÐ¸ Ð½ÐµÑ‚, Ñ•Ñ‚Ñ€Ð°Ð½Ð½Ð¾. ÐŸÐ¾Ñ•Ð²Ð¸Ñ‚Ñ•Ñ• Ð±Ð»Ð¸Ð¶Ð°Ð¹ÑˆÐ¸Ð¼ 

Ð¾Ð±Ð½Ð¾Ð²Ð»ÐµÐ½Ð¸ÐµÐ¼ Ñ• Ð±Ð¸Ð½Ð°Ñ€Ð½Ñ‹Ð¼ Ñ•Ð´Ñ€Ð¾Ð¼ 4.4.33.


> 
> Ð° ÐºÐ°Ðº Ñ‚Ð°Ðº Ð¿Ð¾Ð»ÑƒÑ‡Ð¸Ð»Ð¾Ñ•ÑŒ? Ð² ÑˆÐ°Ð±Ð»Ð¾Ð½Ð°Ñ… Ð²ÐµÐ´ÑŒ Ð²Ñ•Ñ‘ ÐµÑ•Ñ‚ÑŒ. Ð½Ðµ Ñ• 

Ð±Ð¸Ð»Ð´Ñ„ÐµÑ€Ð¼Ð¾Ð¹ Ñ‡Ð°Ñ•Ð¾Ð¼ Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ð°?





Ð’ Ð¿Ñ€Ð¸Ð²ÐµÐ´Ñ‘Ð½Ð½Ð¾Ð¼ Ð²Ð°Ð¼Ð¸ Ð»Ð¾Ð³Ðµ Ð½Ð°Ñ•Ñ‚Ñ€Ð¾Ð¹ÐºÐ¸ Ð´Ð»Ñ• 32-Ð±Ð¸Ñ‚Ð½Ð¾Ð³Ð¾ Ñ•Ð´Ñ€Ð°.

11/21/2016 12:18 pm - Alexander Tratsevskiy

- Status changed from New to Feedback
